Chromium Code Reviews
Help | Chromium Project | Sign in
(605)

Issue 11434116: Geolocation request for Google Now (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 8 months ago by vadimt
Modified:
2 years, 8 months ago
CC:
chromium-reviews
Visibility:
Public.

Description

Obtaining geolocation for Google Now notifications. BUG=164227 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=172192

Patch Set 1 #

Patch Set 2 : Cosmetics. #

Total comments: 4

Patch Set 3 : rgustafson's comments #

Total comments: 8

Patch Set 4 : skare's comments. #

Patch Set 5 : Rebasing #

Total comments: 4

Patch Set 6 : bulach and jknotten comments. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+44 lines, -5 lines) Patch
M chrome/browser/ui/google_now/google_now_service.h View 1 2 3 4 5 2 chunks +6 lines, -0 lines 0 comments Download
M chrome/browser/ui/google_now/google_now_service.cc View 1 2 3 4 5 4 chunks +38 lines, -5 lines 0 comments Download
Project "None" does not have a commit queue.

Messages

Total messages: 14 (0 generated)
vadimt
2 years, 8 months ago (2012-12-04 22:13:10 UTC) #1
rgustafson
https://codereview.chromium.org/11434116/diff/2001/chrome/browser/ui/google_now/google_now_service.cc File chrome/browser/ui/google_now/google_now_service.cc (right): https://codereview.chromium.org/11434116/diff/2001/chrome/browser/ui/google_now/google_now_service.cc#newcode6 chrome/browser/ui/google_now/google_now_service.cc:6: #include "content/public/browser/browser_thread.h" Is this used? https://codereview.chromium.org/11434116/diff/2001/chrome/browser/ui/google_now/google_now_service.cc#newcode94 chrome/browser/ui/google_now/google_now_service.cc:94: DCHECK(geolocation_request_weak_factory_.HasWeakPtrs()); If ...
2 years, 8 months ago (2012-12-06 20:10:34 UTC) #2
vadimt
https://codereview.chromium.org/11434116/diff/2001/chrome/browser/ui/google_now/google_now_service.cc File chrome/browser/ui/google_now/google_now_service.cc (right): https://codereview.chromium.org/11434116/diff/2001/chrome/browser/ui/google_now/google_now_service.cc#newcode6 chrome/browser/ui/google_now/google_now_service.cc:6: #include "content/public/browser/browser_thread.h" On 2012/12/06 20:10:34, rgustafson wrote: > Is ...
2 years, 8 months ago (2012-12-06 21:05:18 UTC) #3
rgustafson
lgtm
2 years, 8 months ago (2012-12-07 18:20:38 UTC) #4
skare_
lgtm https://codereview.chromium.org/11434116/diff/7001/chrome/browser/ui/google_now/google_now_service.cc File chrome/browser/ui/google_now/google_now_service.cc (right): https://codereview.chromium.org/11434116/diff/7001/chrome/browser/ui/google_now/google_now_service.cc#newcode24 chrome/browser/ui/google_now/google_now_service.cc:24: const int kGeolocationRequestTimeoutMs = 60000; // 1 min ...
2 years, 8 months ago (2012-12-07 23:39:00 UTC) #5
vadimt
https://codereview.chromium.org/11434116/diff/7001/chrome/browser/ui/google_now/google_now_service.cc File chrome/browser/ui/google_now/google_now_service.cc (right): https://codereview.chromium.org/11434116/diff/7001/chrome/browser/ui/google_now/google_now_service.cc#newcode24 chrome/browser/ui/google_now/google_now_service.cc:24: const int kGeolocationRequestTimeoutMs = 60000; // 1 min On ...
2 years, 8 months ago (2012-12-08 00:04:22 UTC) #6
vadimt
sky@, please provide Owner's Approval. bulach@, you may want to look whether I correctly use ...
2 years, 8 months ago (2012-12-08 00:35:24 UTC) #7
bulach
+jknotten lgtm, and apologies for the delay, I was travelling the last couple of days. ...
2 years, 8 months ago (2012-12-10 14:25:46 UTC) #8
John Knottenbelt
lgtm https://codereview.chromium.org/11434116/diff/9002/chrome/browser/ui/google_now/google_now_service.h File chrome/browser/ui/google_now/google_now_service.h (right): https://codereview.chromium.org/11434116/diff/9002/chrome/browser/ui/google_now/google_now_service.h#newcode78 chrome/browser/ui/google_now/google_now_service.h:78: base::WeakPtrFactory<GoogleNowService> geolocation_request_weak_factory_; nit: I read this as "a ...
2 years, 8 months ago (2012-12-10 14:30:58 UTC) #9
sky
LGTM
2 years, 8 months ago (2012-12-10 15:50:58 UTC) #10
vadimt
Thanks for all approvals! At this point, RequestLocationUpdate seems the right thing since geolocation requests ...
2 years, 8 months ago (2012-12-10 19:09:08 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/vadimt@chromium.org/11434116/21001
2 years, 8 months ago (2012-12-10 19:11:17 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/vadimt@chromium.org/11434116/21001
2 years, 8 months ago (2012-12-10 19:11:39 UTC) #13
commit-bot: I haz the power
2 years, 8 months ago (2012-12-10 23:55:44 UTC) #14
Message was sent while issue was closed.
Change committed as 172192
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld a4c4f45